Summary: Perl extension for Network Kanji Filter
Summary(ja): Perlĥ⥸塼NKF
Name: perl-NKF
Version: 1.71
Release: 1mdk
License: BSD-like
Group: System/Internationalization
Source: ftp://ftp.ie.u-ryukyu.ac.jp/pub/software/kono/nkf171.shar
BuildPreReq: perl >= 5.005
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This is a Perl Extension version of nkf (Netowrk Kanji Filter ) 1.7.
It converts the last argument and return converted result. Conversion
details are specified by flags before the last argument.

%description -l ja
ϡPerl  nkf Ȥĥ⥸塼Ǥ

Ȥϡ
	use NKF;
	$output = nkf($flag,$input);

Τ褦˻Ȥޤflag ϡnkf ƱǤ

%prep
%setup -T -c
cp %{SOURCE0} .
sh nkf171.shar

%build
make CC="gcc" CFLAGS="$RPM_OPT_FLAGS" PERL="perl" nkf perl
./nkf -e -O nkf.1j
mv nkf.out nkf.1j
gzip -9 nkf.1 nkf.1j

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/ja/man1
install -s -m 755 nkf $RPM_BUILD_ROOT/%{_bindir}
install -m 644 nkf.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 nkf.1j.gz $RPM_BUILD_ROOT/%{_mandir}/ja/man1/nkf.1.gz
(cd NKF;
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*/*-linux/NKF.pm
%{_libdir}/perl5/site_perl/*/*-linux/auto
%{_mandir}/ja/man1/*
%{_mandir}/man1/*
%{_libdir}/perl5/man/man3/*

%changelog
* Fri Sep 14 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.71-1mdk
- first mandrake release

* Mon Aug 07 2000 Yukihiro Nakai <ynakai@redhat.com>
- Initial release
